Skip to main content
GET
/
nfts
/
tokens
/
{id}
TypeScript
const response: Promise<FireblocksResponse<TokenResponse>> = fireblocks.nFTs.getNFT(nFTsApiGetNFTRequest);
{
  "id": "<string>",
  "tokenId": "<string>",
  "standard": "<string>",
  "blockchainDescriptor": "ETH",
  "metadataURI": "<string>",
  "cachedMetadataURI": "<string>",
  "media": [
    {
      "url": "<string>",
      "contentType": "IMAGE"
    }
  ],
  "spam": {
    "result": true
  },
  "collection": {
    "id": "<string>",
    "name": "<string>",
    "symbol": "<string>"
  },
  "description": "<string>",
  "name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

NFT ID

Response

200 - application/json
id
string
required

The Fireblocks NFT asset id

tokenId
string
required

Token id within the contract/collection

standard
string
required

ERC721 / ERC1155

blockchainDescriptor
enum<string>
required
Available options:
ETH,
ETH_TEST3,
ETH_TEST5,
ETH_TEST6,
POLYGON,
POLYGON_TEST_MUMBAI,
AMOY_POLYGON_TEST,
XTZ,
XTZ_TEST,
BASECHAIN_ETH,
BASECHAIN_ETH_TEST3,
BASECHAIN_ETH_TEST5,
ETHERLINK,
ETHERLINK_TEST,
MANTLE,
MANTLE_TEST,
GUN_GUNZILLA,
GUN_GUNZILLA_TEST,
ETH_SONEIUM,
SONEIUM_MINATO_TEST,
IOTX_IOTEX,
KLAY_KAIA,
KLAY_KAIA_TEST,
APECHAIN,
APECHAIN_TEST,
CRONOS,
CRONOS_TEST,
ROBINHOOD_CHAIN_TESTNET_TEST
metadataURI
string

URL of the original token JSON metadata

cachedMetadataURI
string

URL of the cached token JSON metadata

media
object[]

Media items extracted from metadata JSON

spam
object

Token spam status

collection
object

Parent collection information

description
string
name
string